Update Count Session
curl --request PATCH \
--url https://api.decodahealth.com/inventory/count-sessions/{session_id} \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--header 'TENANT: <tenant>' \
--data '
{
"defaultReason": "<string>",
"rows": [
{
"stockId": "<string>",
"locationId": "<string>",
"countedQty": 1,
"reason": "<string>"
}
]
}
'import requests
url = "https://api.decodahealth.com/inventory/count-sessions/{session_id}"
payload = {
"defaultReason": "<string>",
"rows": [
{
"stockId": "<string>",
"locationId": "<string>",
"countedQty": 1,
"reason": "<string>"
}
]
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
defaultReason: '<string>',
rows: [
{stockId: '<string>', locationId: '<string>', countedQty: 1, reason: '<string>'}
]
})
};
fetch('https://api.decodahealth.com/inventory/count-sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creatorId": "<string>",
"id": "<string>",
"creatorName": "<string>",
"locationId": "<string>",
"locationName": "<string>",
"defaultReason": "<string>",
"rows": [
{
"stockId": "<string>",
"locationId": "<string>",
"stockName": "<string>",
"systemQty": 123,
"locationName": "<string>",
"category": "<string>",
"brand": "<string>",
"countedQty": 123,
"reason": "<string>"
}
],
"createdDate": "2023-11-07T05:31:56Z",
"submittedDate": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Stock
Update Count Session
Update the counted quantities or details of an in-progress inventory count session.
PATCH
/
inventory
/
count-sessions
/
{session_id}
Update Count Session
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Body
application/json
Response
Successful Response
Available options:
DRAFT, SUBMITTED Show child attributes
Show child attributes
⌘I
